<?php
	require_once("conexion.php");
	
	function cuentaPropiedad($provincia,$ciudad,$direccion){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select Count(provincia) As cantidad,estado From `propiedad` Where provincia=:PROV And ciudad=:CIUD And direccion=:DIRE;");
			$consulta->bindValue(':PROV',$provincia,PDO::PARAM_INT);
			$consulta->bindValue(':CIUD',$ciudad,PDO::PARAM_INT);
			$consulta->bindValue(':DIRE',$direccion);
			$consulta->execute();
			$resultado=$consulta->fetch();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function traePropiedad($provincia,$ciudad,$direccion,$usuario){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select direccion,PV.nombre As provincia,CI.nombre As ciudad,usuario,
										  titulo,descripcion,PV.id As idProv,CI.id As idCiud
										  From `propiedad` PR
										  Inner Join `provincia` PV On (PR.provincia=PV.id)
										  Inner Join `ciudad` CI On (PR.ciudad=CI.id)
										  Where PR.provincia=:PROV And PR.ciudad=:CIUD And PR.direccion=:DIRE And PR.usuario=:USER;");
			$consulta->bindValue(':PROV',$provincia,PDO::PARAM_INT);
			$consulta->bindValue(':CIUD',$ciudad,PDO::PARAM_INT);
			$consulta->bindValue(':DIRE',$direccion);
			$consulta->bindValue(':USER',$usuario);
			$consulta->execute();
			$resultado=$consulta->fetch();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function traerFoto($provincia,$ciudad,$direccion){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select foto From `propiedad` Where provincia=:PROV And ciudad=:CIUD And direccion=:DIRE;");
			$consulta->bindValue(':PROV',$provincia,PDO::PARAM_INT);
			$consulta->bindValue(':CIUD',$ciudad,PDO::PARAM_INT);
			$consulta->bindValue(':DIRE',$direccion);
			$consulta->execute();
			$resultado=$consulta->fetch();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function traerFotosPropiedad($provincia,$ciudad,$direccion,$numero){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select ruta From `fotos_propiedad` Where provincia=:PROV And ciudad=:CIUD And direccion=:DIRE And numero=:NUME;");
			$consulta->bindValue(':PROV',$provincia,PDO::PARAM_INT);
			$consulta->bindValue(':CIUD',$ciudad,PDO::PARAM_INT);
			$consulta->bindValue(':DIRE',$direccion);
			$consulta->bindValue(':NUME',$numero,PDO::PARAM_INT);
			$consulta->execute();
			$resultado=$consulta->fetch();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	//-------------
	
	function venderPropiedad($provincia,$ciudad,$direccion){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Update `propiedad` Set vendida='1' Where provincia=:PROV And ciudad=:CIUD And direccion=:DIRE;");
			$consulta->bindValue(':PROV',$provincia,PDO::PARAM_INT);
			$consulta->bindValue(':CIUD',$ciudad,PDO::PARAM_INT);
			$consulta->bindValue(':DIRE',$direccion);
			$consulta->execute();
			$conexion=cerrarConexion();
			$resultado="vendida"; }
		else
			$resultado="error";
		return $resultado;
	}
	
	function sumarEnUso($usuario){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Update `usuarios` Set en_uso=en_uso+1,disponibles=disponibles-1 Where usuario=:USER;");
			$consulta->bindValue(':USER',$usuario);
			$consulta->execute();
			$conexion=cerrarConexion();
			$resultado="unUsoMas"; }
		else
			$resultado="error";
		return $resultado;
	}
	
	function descontarEnUso($usuario){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Update `usuarios` Set en_uso=en_uso-1 Where usuario=:USER;");
			$consulta->bindValue(':USER',$usuario);
			$consulta->execute();
			$conexion=cerrarConexion();
			$resultado="unUsoMenos"; }
		else
			$resultado="error";
		return $resultado;
	}
	
	function sumarDisponible($usuario){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Update `usuarios` Set disponibles=disponibles+1 Where usuario=:USER;");
			$consulta->bindValue(':USER',$usuario);
			$consulta->execute();
			$conexion=cerrarConexion();
			$resultado="unDisponibleMas"; }
		else
			$resultado="error";
		return $resultado;
	}
	
	function descontarExcedente($usuario){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Update `usuarios` Set excedente=excedente-1 Where usuario=:USER;");
			$consulta->bindValue(':USER',$usuario);
			$consulta->execute();
			$conexion=cerrarConexion();
			$resultado="unExcedenteMenos"; }
		else
			$resultado="error";
		return $resultado;
	}
	
	function cantidadPropiedadesUsuario($usuario){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select Count(direccion) As cantidad 
										From `propiedad` 
										Where usuario=:USER And estado='1' And vendida='0';");
			$consulta->bindValue(':USER',$usuario);
			$consulta->execute();
			$resultado=$consulta->fetch();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function traerContadores($usuario){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select US.en_uso,US.disponibles,US.excedente,ME.maximo
										From `usuarios` US
										Inner Join `membresia` ME On (US.membresia=ME.id)
										Where US.usuario=:USER;");
			$consulta->bindValue(':USER',$usuario);
			$consulta->execute();
			$resultado=$consulta->fetch();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function condicionesPropiedad($provincia,$ciudad,$direccion){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select estado,checked,vendida From `propiedad` Where provincia=:PROV And ciudad=:CIUD And direccion=:DIRE;");
			$consulta->bindValue(':PROV',$provincia,PDO::PARAM_INT);
			$consulta->bindValue(':CIUD',$ciudad,PDO::PARAM_INT);
			$consulta->bindValue(':DIRE',$direccion);
			$consulta->execute();
			$resultado=$consulta->fetch();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}

?>