<?php

	require_once("conexion.php");
	
	function listaProvincia($estado){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select id,nombre From `provincia` Where estado=:EST;");
			$consulta->bindValue(':EST',$estado,PDO::PARAM_INT);
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion();
		}else{
			$resultado="error"; }
		return $resultado;
	}
	
	function hayProvincia($nombre){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select id,Count(id) As cantidad,estado From `provincia` Where nombre=:NOMB;");
			$consulta->bindValue(':NOMB',$nombre);
			$consulta->execute();
			$resultado=$consulta->fetch();
			$conexion=cerrarConexion();
		}else{
			$resultado="error"; }
		return $resultado;
	}
	
	function listaCategoria($estado){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select id,nombre From `categoria` Where estado=:EST;");
			$consulta->bindValue(':EST',$estado,PDO::PARAM_INT);
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion();
		}else{
			$resultado="error"; }
		return $resultado;
	}
	
	function listaCiudad($provincia,$estado){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select id,nombre From `ciudad` Where provincia=:PROV And estado=:EST;");
			$consulta->bindValue(':PROV',$provincia,PDO::PARAM_INT);
			$consulta->bindValue(':EST',$estado,PDO::PARAM_INT);
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion();
		}else{
			$resultado="error"; }
		return $resultado;
	}
	
	function listaAnuncios($tipo){
		$conexion=conectarBaseDatos();
		if($tipo!="todos"){
			$variable="AN.tipo=:TIP And";
		}else{
			$variable="";
		}
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select AN.id,CA.nombre As categoria,PR.direccion,PV.nombre As provincia,CI.nombre As ciudad,AN.precio,TV.nombre As tipo,PR.metros,PR.dormitorios,PR.banios,FO.id As foto
										  From `anuncios` AN
										  Inner Join `tipo_venta` TV On (AN.tipo=TV.id)
										  Inner Join `propiedad` PR On (AN.direccion=PR.direccion And AN.provincia=PR.provincia And AN.ciudad=PR.ciudad)
										  Inner Join `categoria` CA On (PR.categoria=CA.id)
										  Inner Join `fotos_propiedad` FO On (AN.direccion=FO.direccion And AN.provincia=FO.provincia And AN.ciudad=FO.ciudad)
										  Inner Join `provincia` PV On (PR.provincia=PV.id)
										  Inner Join `ciudad` CI On (PR.ciudad=CI.id)
										  Where $variable AN.estado=1 And PR.estado=1 And CA.estado=1 And FO.estado=1;");
			if($tipo!="todos")
				$consulta->bindValue(':TIP',$tipo,PDO::PARAM_INT);
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion();
		}else{
			$resultado="error"; }
		return $resultado;
	}
	
	function traeProvincia($id){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select nombre From `provincia` Where id=:IDEN;");
			$consulta->bindValue(':IDEN',$id,PDO::PARAM_INT);
			$consulta->execute();
			$resultado=$consulta->fetch();
			$conexion=cerrarConexion();
		}else{
			$resultado="error"; }
		return $resultado;
	}
	
	function listaProvincias($estado){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select * From `provincia` Where estado=:EST;");
			$consulta->bindValue(':EST',$estado,PDO::PARAM_INT);
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function traerTipo($nombre){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select * From `tipo_venta` Where nombre=:NOMB;");
			$consulta->bindValue(':NOMB',$nombre);
			$consulta->execute();
			$resultado=$consulta->fetch();
			$conexion=cerrarConexion();
		}else{
			$resultado="error"; }
		return $resultado;
	}
	
	function listarAnunciosPorTipo($tipo){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select AN.id,titulo,direccion,PR.nombre As provincia,CI.nombre As ciudad,usuario,precio,fecha,destacado
										  From `anuncios` AN
										  Inner Join `provincia` PR On (AN.provincia=PR.id)
										  Inner Join `ciudad` CI On (AN.ciudad=CI.id)
										  Where tipo=:TIP And AN.estado=1;");
			$consulta->bindValue(':TIP',$tipo,PDO::PARAM_INT);
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion();
		}else{
			$resultado="error"; }
		return $resultado;
	}
	
	
	function listaTipoUsuario($estado){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select id,nombre From `tipo_usuario` Where estado=:EST;");
			$consulta->bindValue(':EST',$estado,PDO::PARAM_INT);
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function listaTipoUsuarioSeguro($estado){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select id,nombre From `tipo_usuario` Where estado=:EST And nombre<>'Administrador';");
			$consulta->bindValue(':EST',$estado,PDO::PARAM_INT);
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function traerTipoUsuario($id){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select * From `tipo_usuario` Where id=:IDEN;");
			$consulta->bindValue(':IDEN',$id,PDO::PARAM_INT);
			$consulta->execute();
			$resultado=$consulta->fetch();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function cuentaTipoUsuario($nombre){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select id,Count(id) As cantidad,estado From `tipo_usuario` Where nombre=:NOM;");
			$consulta->bindValue(':NOM',$nombre);
			$consulta->execute();
			$resultado=$consulta->fetch();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function listarUsuarios($tipo){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select US.nombre,US.usuario,US.email,US.telefono,US.celular,US.fax,US.direccion,
										  PR.nombre As provincia,CI.nombre As ciudad,foto,facebook,fecha,web,comercial,descripcion
										  From `usuarios` US
										  Inner Join `provincia` PR On (US.provincia=PR.id)
										  Inner Join `ciudad` CI On (US.ciudad=CI.id)
										  Where US.tipo=:TIP And US.estado='1';");
			$consulta->bindValue(':TIP',$tipo,PDO::PARAM_INT);
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function listaTipoVenta($estado){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select id,nombre From `tipo_venta` Where estado=:EST;");
			$consulta->bindValue(':EST',intval($estado),PDO::PARAM_INT);
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function listarPropiedadesPorEstado($estado){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			//esta consulta trae todos los datos de la propiedad como si fuera un * en el select
			$consulta=$conexion->prepare("Select direccion,PV.nombre As provincia,CI.nombre As ciudad,usuario,region,cp,
										  titulo,descripcion,precio,foto,fecha,dormitorios,banios,pisos,habitaciones,area,TV.nombre AS tipo,
										  CA.nombre As categoria,latitud,longitud,construccion,estacionamiento,aire,balcon,calefaccion,
										  seguridad,ascensor,escuela,universidad,policia,bomberos,hospital,aeropuerto,metro,autobus,parque,
										  playa,centro,comercial,cine,PV.id As idProv,CI.id As idCiud,CA.id As idCate,TV.id As idTipo,PR.checked
										  From `propiedad` PR
										  Inner Join `categoria` CA On (PR.categoria=CA.id)
										  Inner Join `provincia` PV On (PR.provincia=PV.id)
										  Inner Join `ciudad` CI On (PR.ciudad=CI.id)
										  Inner Join `tipo_venta` TV On (PR.tipo=TV.id)
										  Where PR.estado=:EST;");
			$consulta->bindValue(':EST',$estado,PDO::PARAM_INT);
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function listarPropiedadesPorUsuario($usuario,$estado){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select direccion,PV.nombre As provincia,CI.nombre As ciudad,usuario,region,cp,
										  titulo,descripcion,precio,foto,fecha,dormitorios,banios,pisos,habitaciones,area,TV.nombre AS tipo,
										  CA.nombre As categoria,latitud,longitud,construccion,estacionamiento,aire,balcon,calefaccion,
										  seguridad,ascensor,escuela,universidad,policia,bomberos,hospital,aeropuerto,metro,autobus,parque,
										  playa,centro,comercial,cine,PV.id As idProv,CI.id As idCiud,CA.id As idCate,TV.id As idTipo,PR.checked
										  From `propiedad` PR
										  Inner Join `categoria` CA On (PR.categoria=CA.id)
										  Inner Join `provincia` PV On (PR.provincia=PV.id)
										  Inner Join `ciudad` CI On (PR.ciudad=CI.id)
										  Inner Join `tipo_venta` TV On (PR.tipo=TV.id)
										  Where PR.estado=:EST And PR.usuario=:USER;");
			$consulta->bindValue(':USER',$usuario);
			$consulta->bindValue(':EST',$estado,PDO::PARAM_INT);
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function listarPalabrasClavePropiedad($provincia,$ciudad,$direccion){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select PA.palabra From `palabra_clave` PA
										  Inner Join `propiedad_clave` PR On (PA.id=PR.palabra)
										  Where PR.direccion=:DIR And PR.provincia=:PROV And PR.ciudad=:CIU;");
			$consulta->bindValue(':DIR',$direccion);
			$consulta->bindValue(':PROV',$provincia,PDO::PARAM_INT);
			$consulta->bindValue(':CIU',$ciudad,PDO::PARAM_INT);
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function traerPropiedad($provincia,$ciudad,$direccion){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select * From `propiedad` Where provincia=:PROV And ciudad=:CIUD And direccion=:DIRE;");
			$consulta->bindValue(':PROV',$provincia,PDO::PARAM_INT);
			$consulta->bindValue(':CIUD',$ciudad,PDO::PARAM_INT);
			$consulta->bindValue(':DIRE',$direccion);
			$consulta->execute();
			$resultado=$consulta->fetch();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function listaInmobiliarias($estado){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select usuario,US.nombre From `usuarios` US Inner Join `tipo_usuario` TU On (US.tipo=TU.id)
										Where TU.nombre='Inmobiliaria' And US.estado=:EST;");
			$consulta->bindValue(':EST',$estado,PDO::PARAM_INT);
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	function tipoMembresiaUsuario($usuario){
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select membresia From `usuarios` Where usuario=:USER;");
			$consulta->bindValue(':USER',$usuario,PDO::PARAM_INT);
			$consulta->execute();
			$resultado=$consulta->fetch();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	//-----------------------------------------------------------------------
	
	function listaUsuario($nombre,$usuario,$email,$tipo,$estado,$telefono,$celular,$fax,$direccion,$provincia,$ciudad,$foto,$facebook,$fechaD,$fechaH,$web,$comercial,$descripcion){
		$condicion="";$variable="";
		if(!is_null($nombre)) {$condicion=$condicion."nombre=:NOMB And "; $variable=$variable."\"':NOMB',".$nombre."\",";}
		if(!is_null($usuario)) {$condicion=$condicion."usuario=:USUA And "; $variable=$variable."\"':USUA',".$usuario."\",";}
		if(!is_null($email)) {$condicion=$condicion."email=:EMAI And "; $variable=$variable."\"':EMAI',".$email."\",";}
		if(!is_null($tipo)) {$condicion=$condicion."tipo=:TIPO And "; $variable=$variable."\"':TIPO',".$tipo."\",";}
		if(!is_null($telefono)) {$condicion=$condicion."telefono=:TELE And "; $variable=$variable."\"':TELE',".$telefono.",PDO::PARAM_INT\",";}
		if(!is_null($celular)) {$condicion=$condicion."celular=:CELU And "; $variable=$variable."\"':CELU',".$celular.",PDO::PARAM_INT\",";}
		if(!is_null($fax)) {$condicion=$condicion."fax=:FAX And "; $variable=$variable."\"':FAX',".$fax.",PDO::PARAM_INT\",";}
		if(!is_null($direccion)) {$condicion=$condicion."direccion=:DIRE And "; $variable=$variable."\"':DIRE',".$direccion."\",";}
		if(!is_null($provincia)) {$condicion=$condicion."provincia=:PROV And "; $variable=$variable."\"':PROV',".$provincia.",PDO::PARAM_INT\",";}
		if(!is_null($ciudad)) {$condicion=$condicion."ciudad=:CIUD And "; $variable=$variable."\"':CIUD',".$ciudad.",PDO::PARAM_INT\",";}
		if(!is_null($foto)) {$condicion=$condicion."foto=:FOTO And "; $variable=$variable."\"':FOTO',".$foto."\",";}
		if(!is_null($facebook)) {$condicion=$condicion."facebook=:FACE And "; $variable=$variable."\"':FACE',".$facebook."\",";}
		if(!is_null($fechaD) | !is_null($fechaH)){
			if(is_null($fechaD)) $fechaD="10000101000000";
			if(is_null($fechaH)) $fechaH="99991231235959";
			$condicion=$condicion."fecha Between :FECHD And :FECHH And "; $variable=$variable."\"':FECHD',".$fechaD."\",\"':FECHH',".$fechaH."\",";
		}
		if(!is_null($web)) {$condicion=$condicion."web=:WEB And "; $variable=$variable."\"':WEB',".$web."\",";}
		if(!is_null($comercial)) {$condicion=$condicion."comercial=:COME And "; $variable=$variable."\"':COME',".$comercial."\",";}
		if(!is_null($descripcion)) {$condicion=$condicion."descripcion=:DESC And "; $variable=$variable."\"':DESC',".$descripcion."\",";}
		
		$conexion=conectarBaseDatos();
		if($conexion!="error"){
			$consulta=$conexion->prepare("Select *,Count(usuario) As cantidad From `usuarios` Where ".$condicion." estado=':EST';");
			$consulta->bindValue($variable."':EST',".$estado.",PDO::PARAM_INT");
			$consulta->execute();
			$resultado=$consulta->fetchAll();
			$conexion=cerrarConexion(); }
		else
			$resultado="error";
		return $resultado;
	}
	
	
	function listaFoto($direccion,$provincia,$ciudad,$estado){
		$consulta="Select ruta From `fotos_propiedad` Where direccion=':DIRE' And provincia=':PROV' And ciudad=':CIUD' And estado=':EST';";
		$valores=array("':DIRE',$direccion","':PROV',intval($provincia),PDO::PARAM_INT","':CIUD',intval($ciudad),PDO::PARAM_INT","':EST',intval($estado),PDO::PARAM_INT");
		$resultado=consultarVariasTuplas($consulta,$valores);
		return $resultado;
	}
	
	//Listado de palabras claves
	function listaPalabraClave($estado){
		$consulta="Select id,palabra From `palabra_clave` Where estado=':EST';";
		$valores=array("':EST',intval($estado),PDO::PARAM_INT");
		$resultado=consultarVariasTuplas($consulta,$valores);
		return $resultado;
	}
	
	//Dada una palabra lista todos los anuncios relacionados
	function listaPalabraAnuncio($palabra){
		$consulta="Select anuncio From `anuncio_p_clave` Where palabra=':PALA';";
		$valores=array("':PALA',$palabra");
		$resultado=consultarVariasTuplas($consulta,$valores);
		return $resultado;
	}
	
	//Dado un anuncio lista todas las palabras claves relacionadas
	function listaAnuncioPalabra($anuncio){
		$consulta="Select palabra From `anuncio_p_clave` Where anuncio=':ANUN';";
		$valores=array("':ANUN',$anuncio");
		$resultado=consultarVariasTuplas($consulta,$valores);
		return $resultado;
	}
	
	function listaMembresia($estado){
		$consulta="Select id,nombre,monto From `membresia` Where estado=':EST';";
		$valores=array("':EST',intval($estado),PDO::PARAM_INT");
		$resultado=consultarVariasTuplas($consulta,$valores);
		return $resultado;
	}
	
	//Los campos que se dejen en "null" no se usan para filtrar, "estado" no puede ser null.
	function listaPago($usuario,$membresia,$periodo,$estado){
		$condicion=""; $variable="";
		if(!is_null($usuario)) {$condicion=$condicion+"usuario=':USUA' And "; $variable=$variable+"\"':USUA',$usuario\",";}
		if(!is_null($membresia)) {$condicion=$condicion+"membresia=':MEMB' And "; $variable=$variable+"\"':MEMB',intval($membresia),PDO::PARAM_INT\",";}
		if(!is_null($periodo)) {$condicion=$condicion+"periodo=':PERI' And "; $variable=$variable+"\"':PERI',$periodo\",";}
		$consulta="Select id,nombre,membresia,periodo From `membresia` Where $condicion estado=':EST';";
		$valores=array($variable+"':EST',intval($estado),PDO::PARAM_INT");
		$resultado=consultarVariasTuplas($consulta,$valores);
		return $resultado;
	}
	
	//Dada una inmobiliaria lista a sus agentes asociados
	function listaInmobiliariaAgente($inmobiliaria){
		$consulta="Select agente From `relacion` Where inmobiliaria=':INMO';";
		$valores=array("':INMO',$inmobiliaria");
		$resultado=consultarVariasTuplas($consulta,$valores);
		return $resultado;
	}
	
	//Dado un agente lista a su inmobiliaria asociada
	function listaAgenteInmobiliaria($agente){
		$consulta="Select inmobiliaria From `relacion` Where agente=':AGEN';";
		$valores=array("':AGEN',$agente");
		$resultado=consultarVariasTuplas($consulta,$valores);
		return $resultado;
	}
	
	
	function listaPropiedad($direccion,$provincia,$ciudad,$region,$codigo,$descripcion,$dormitorios,$banios,$pisos,$habitaciones,$metrosD,$metrosH,$categoria,$estado){
		$condicion="";$variable="";
		if(!is_null($direccion)) {$condicion=$condicion+"direccion=':DIRE' And "; $variable=$variable+"\"':DIRE',$direccion\",";}
		if(!is_null($provincia)) {$condicion=$condicion+"provincia=':PROV' And "; $variable=$variable+"\"':PROV',intval($provincia),PDO::PARAM_INT\",";}
		if(!is_null($ciudad)) {$condicion=$condicion+"ciudad=':CIUD' And "; $variable=$variable+"\"':CIUD',intval($ciudad),PDO::PARAM_INT\",";}
		if(!is_null($region)) {$condicion=$condicion+"region=':REGI' And "; $variable=$variable+"\"':REGI',$region\",";}
		if(!is_null($codigo)) {$condicion=$condicion+"cp=':CODI' And "; $variable=$variable+"\"':CODI',intval($codigo),PDO::PARAM_INT\",";}
		if(!is_null($descripcion)) {$condicion=$condicion+"descripcion=':DESC' And "; $variable=$variable+"\"':DESC',$descripcion\",";}
		if(!is_null($dormitorios)) {$condicion=$condicion+"dormitorios=':DORM' And "; $variable=$variable+"\"':DORM',intval($dormitorios),PDO::PARAM_INT\",";}
		if(!is_null($banios)) {$condicion=$condicion+"banios=':BANI' And "; $variable=$variable+"\"':BANI',intval($banios),PDO::PARAM_INT\",";}
		if(!is_null($pisos)) {$condicion=$condicion+"pisos=':PISO' And "; $variable=$variable+"\"':PISO',intval($pisos),PDO::PARAM_INT\",";}
		if(!is_null($habitaciones)) {$condicion=$condicion+"habitaciones=':HABI' And "; $variable=$variable+"\"':HABI',intval($habitaciones),PDO::PARAM_INT\",";}
		if(!is_null($metrosD) | !is_null($metrosH)){
			if(is_null($metrosD)) $metrosD="0";
			if(is_null($metrosH)) $metrosH="999999";
			$condicion=$condicion+"metros Between ':METRD' And ':METRH' And "; $variable=$variable+"\"':METRD',intval($metrosD),PDO::PARAM_INT\",\"':METRH',intval($metrosH),PDO::PARAM_INT\",";
		}
		if(!is_null($categoria)) {$condicion=$condicion+"categoria=':CATE' And "; $variable=$variable+"\"':CATE',intval($categoria),PDO::PARAM_INT\",";}
		$consulta="Select * From `propiedad` Where $condicion estado=':EST';";
		$valores=array($variable+"':EST',intval($estado),PDO::PARAM_INT");
		$resultado=consultarVariasTuplas($consulta,$valores);
		return $resultado;
	}
	
	function listaAnuncio($id,$titulo,$direccion,$provincia,$ciudad,$usuario,$tipo,$precioD,$precioH,$fechaD,$fechaH,$estado,$destacado){
		$condicion="";$variable="";
		if(!is_null($id)) {$condicion=$condicion+"id=':IDEN' And "; $variable=$variable+"\"':IDEN',intval($id),PDO::PARAM_INT\",";}
		if(!is_null($titulo)) {$condicion=$condicion+"titulo=':TITU' And "; $variable=$variable+"\"':TITU',$titulo\",";}
		if(!is_null($direccion)) {$condicion=$condicion+"direccion=':DIRE' And "; $variable=$variable+"\"':DIRE',$direccion\",";}
		if(!is_null($provincia)) {$condicion=$condicion+"provincia=':PROV' And "; $variable=$variable+"\"':PROV',intval($provincia),PDO::PARAM_INT\",";}
		if(!is_null($ciudad)) {$condicion=$condicion+"ciudad=':CIUD' And "; $variable=$variable+"\"':CIUD',intval($ciudad),PDO::PARAM_INT\",";}
		if(!is_null($usuario)) {$condicion=$condicion+"usuario=':USUA' And "; $variable=$variable+"\"':USUA',$usuario\",";}
		if(!is_null($tipo)) {$condicion=$condicion+"tipo=':TIPO' And "; $variable=$variable+"\"':TIPO',intval($tipo),PDO::PARAM_INT\",";}
		if(!is_null($precioD) | !is_null($precioH)){
			if(is_null($precioD)) $precioD="0";
			if(is_null($precioH)) $precioH=PHP_INT_MAX;
			$condicion=$condicion+"precio Between ':PRECD' And ':PRECH' And "; $variable=$variable+"\"':PRECD',intval($precioD),PDO::PARAM_INT\",\"':PRECH',intval($precioH),PDO::PARAM_INT\",";
		}
		if(!is_null($fechaD) | !is_null($fechaH)){
			if(is_null($fechaD)) $fechaD="10000101000000";
			if(is_null($fechaH)) $fechaH="99991231235959";
			$condicion=$condicion+"fecha Between ':FECHD' And ':FECHH' And "; $variable=$variable+"\"':FECHD',$fechaD\",\"':FECHH',$fechaH\",";
		}
		if(!is_null($destacado)) {$condicion=$condicion+"destacado=':DEST' And "; $variable=$variable+"\"':DEST',intval($destacado),PDO::PARAM_INT\",";}
		
		$consulta="Select * From `anuncios` Where $condicion estado=':EST';";
		$valores=array($variable+"':EST',intval($estado),PDO::PARAM_INT");
		$resultado=consultarVariasTuplas($consulta,$valores);
		return $resultado;
	}
	
?>